<template>
    <div class="col-12">
        <div class="form-group">
            <b-dropdown text="Sort by">
                <b-dropdown-item v-on:click="handlerSort('name','asc')">Name ASC</b-dropdown-item>
                <b-dropdown-item v-on:click="handlerSort('name','desc')">Name DESC</b-dropdown-item>
                <b-dropdown-divider />
                <b-dropdown-item v-on:click="handlerSort('level','asc')">Level ASC</b-dropdown-item>
                <b-dropdown-item v-on:click="handlerSort('level','desc')">Level DESC</b-dropdown-item>
            </b-dropdown>
            <span class="order badge badge-success badge-medium">{{orderBy}} - {{orderDir}}</span>
        </div>
    </div>
</template>

<script>
export default {
    name: 'control-sort',
    props:['orderBy','orderDir'],
    data() {
        return { }
    },
    methods: {
        handlerSort(orderBy,orderDir){
            let data = {orderBy,orderDir}
            console.log('sort',);
            this.$emit('handlerSort',data)
        }
    }
}
</script>

<style>
    .order {
        text-transform: uppercase;
    }
</style>
